Last Comment Bug 754342 - Sync pane shows "undefined" as username when using in-content preferences
: Sync pane shows "undefined" as username when using in-content preferences
Status: VERIFIED FIXED
[testday-20120622]
:
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Matthew N. [:MattN] (In Taipei until Sep. 23)
:
:
Mentors:
Depends on:
Blocks: 718011 735091
  Show dependency treegraph
 
Reported: 2012-05-11 10:08 PDT by Tim Taubert [:ttaubert]
Modified: 2012-06-22 04:37 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v.1 Port change from bug 730989 (1.27 KB, patch)
2012-05-16 11:48 PDT, Matthew N. [:MattN] (In Taipei until Sep. 23)
jaws: review+
Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2012-05-11 10:08:29 PDT
Does not happen with the default preferences dialog.
Comment 1 Matthew N. [:MattN] (In Taipei until Sep. 23) 2012-05-16 11:48:38 PDT
Created attachment 624470 [details] [diff] [review]
v.1 Port change from bug 730989

The pref dialog changed while they were being ported: https://hg.mozilla.org/mozilla-central/diff/68ee19a92287/browser/components/preferences/sync.js (bug 730989)
Comment 2 Matthew N. [:MattN] (In Taipei until Sep. 23) 2012-05-16 17:38:31 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/00bcf77af39c
Comment 3 Ed Morley [:emorley] 2012-05-17 03:16:15 PDT
https://hg.mozilla.org/mozilla-central/rev/00bcf77af39c
Comment 4 Alfredos-Panagiotis Damkalis [:fredy] 2012-06-22 04:37:49 PDT
I verify fixed this bug, tested at Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/20120621 Firefox/15.0a2.

Note You need to log in before you can comment on or make changes to this bug.